/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.client.client.ui;

import org.dive4elements.river.client.shared.model.FacetRecord;

/**
 * Default implementation of {@link IThemeRecordHandler} that does nothing.
 *
 * @author Gernot Belger
 */
public final class NoopThemeRecordHandler implements IThemeRecordHandler {

    @Override
    public void handle(final FacetRecord facetRecord) {
        /* we do nothing */
    }
}